
QGIS Application - Bug report #11340

Can't edit OTB applications folder in processing module

2014-10-06 10:50 PM - Manuel Grizonnet

Status: Closed

Priority: Severe/Regression

Assignee: Victor Olaya

Category: Processing/Core

Affected QGIS version:master Regression?: No

Operating System: Easy fix?: No

Pull Request or Patch supplied:No Resolution:

Crashes QGIS or corrupts data:No Copied to github as #: 19634

Description

I've got a local installation of orfeo toolbox on my system and I try to change the otb applications folder and command line folder in the

processing settings. Default paths are empty which is normal as I do not have an OTB installed in /usr or /usr/local.

It is impossible to change thos paths, when I click on the txt label to edit, I've got this Python message:

Une erreur est apparue lors de l'exécution du code Python :

Traceback (most recent call last):

  File "/usr/share/qgis/python/plugins/processing/gui/ConfigDialog.py", line 186, in createEditor

    value = self.convertValue(index.model().data(index, Qt.EditRole))

  File "/usr/share/qgis/python/plugins/processing/gui/ConfigDialog.py", line 233, in convertValue

    return int(value)

TypeError: int() argument must be a string or a number, not 'NoneType'

Version de Python :

2.7.6 (default, Mar 22 2014, 23:03:41) 

[GCC 4.8.2]

Version de QGIS :

2.4.0-Chugiak Chugiak, exported

Chemin vers Python : ['/usr/share/qgis/python/plugins/processing', '/usr/share/qgis/python', u'/home/grizonnetm/.qgis2/python',

u'/home/grizonnetm/.qgis2/python/plugins', '/usr/share/qgis/python/plugins', '/usr/lib/python2.7',

'/usr/lib/python2.7/plat-x86_64-linux-gnu', '/usr/lib/python2.7/lib-tk', '/usr/lib/python2.7/lib-old', '/usr/lib/python2.7/lib-dynload',

'/usr/local/lib/python2.7/dist-packages', '/usr/lib/python2.7/dist-packages', '/usr/lib/python2.7/dist-packages/PILcompat',

'/usr/lib/python2.7/dist-packages/gtk-2.0', '/usr/lib/pymodules/python2.7', '/usr/lib/python2.7/dist-packages/ubuntu-sso-client',

'/usr/lib/python2.7/dist-packages/wx-2.8-gtk2-unicode', '/usr/share/qgis/python/plugins/fTools/tools']

Please note also that I can edit the geoid file and the SRTM tiles folder.

Associated revisions

Revision f2b7c0fc - 2014-10-22 01:21 AM - Jürgen Fischer

handle unset setting values in processing (fixes #11340)

History
#1 - 2014-10-10 07:43 AM - Jürgen Fischer

- Category set to 120

- Subject changed from C'ant edit OTB applications folder in processing module to Can't edit OTB applications folder in processing module

#2 - 2014-10-16 06:08 AM - Giovanni Manghi

- Status changed from Open to Feedback

no error on qgis master, can you confirm?

#3 - 2014-10-16 06:35 AM - Manuel Grizonnet

I need to compile a local version of qgis master. I'll let you know.

#4 - 2014-10-20 05:55 AM - Manuel Grizonnet

- File CMakeCache.txt added

Manuel Grizonnet wrote:

I need to compile a local version of qgis master. I'll let you know.

I've got an issue when I try to compile qgis-dev. At startup I can't load PyQGIS, Python is then deactivated and I can't see processing section in the GUI.

Any idea on how to solve this?

I attach my CMakeCache.txt

Thanks in advance.

#5 - 2014-10-20 06:41 AM - Giovanni Manghi

Can't you try the nightly builds available for Ubuntu or debian?

#6 - 2014-10-20 09:14 AM - Manuel Grizonnet

Giovanni Manghi wrote:

Can't you try the nightly builds available for Ubuntu or debian?

I am able now to reproduce the issue with a fresh install using the nightly build of QGIS on Ubuntu 14.04.

When I try to edit the OTB application folder in the processing settings.

Une erreur est apparue lors de l'exécution du code Python :

Traceback (most recent call last):

  File "/usr/share/qgis/python/plugins/processing/gui/ConfigDialog.py", line 186, in createEditor
    value = self.convertValue(index.model().data(index, Qt.EditRole))

  File "/usr/share/qgis/python/plugins/processing/gui/ConfigDialog.py", line 233, in convertValue

    return int(value)

TypeError: int() argument must be a string or a number, not 'NoneType'

Version de Python :

2.7.6 (default, Mar 22 2014, 23:03:41) 

[GCC 4.8.2]

Version de QGIS :

2.5.0-Master Master, exported

#7 - 2014-10-20 09:26 AM - Giovanni Manghi

- Assignee set to Victor Olaya

#8 - 2014-10-20 09:26 AM - Giovanni Manghi

- Affected QGIS version changed from 2.4.0 to master

#9 - 2014-10-20 10:35 AM - Giovanni Manghi

- Status changed from Feedback to Open

#10 - 2014-10-21 04:22 PM - Jürgen Fischer

- Status changed from Open to Closed

Fixed in changeset commit:"f2b7c0fcf84923b399748c9bf2dbc5190398325c".

#11 - 2014-10-23 06:34 AM - Manuel Grizonnet

Jürgen Fischer wrote:

Fixed in changeset commit:"f2b7c0fcf84923b399748c9bf2dbc5190398325c".

Thanks a lot for the quick fix before releasing 2.6!

Manuel

#12 - 2017-05-01 10:58 AM - Giovanni Manghi

- Regression? set to No

#13 - 2017-05-01 11:01 AM - Giovanni Manghi

- Easy fix? set to No

#14 - 2017-05-01 11:04 AM - Giovanni Manghi

Some providers are being removed from QGIS/Processing (will be available as plugin) and so are their categories in the bug tracker. To not leave them

orphaned of a category they are being reassigned to processing/core.
#15 - 2017-05-01 11:06 AM - Giovanni Manghi

- Category changed from 120 to Processing/Core

Files

CMakeCache.txt 72.4 KB 2014-10-20 Manuel Grizonnet
